# client.audit.authz

> client.audit.authz — the audit.authz operations.

`client.audit.authz` — the `audit.authz` operations.

On `AsyncKindgi` every method is the same, awaited.

## `client.audit.authz.list()`

```python signature
list(
    *,
    limit: int | None = None,
    cursor: str | None = None,
    actor_subject: str | None = None,
    on_behalf_of: str | None = None,
    action: str | None = None,
    resource: str | None = None,
    outcome: Literal['allowed', 'denied'] | None = None,
    run_id: str | UUID | None = None,
    from_: str | None = None,
    to: str | None = None,
    order: Literal['asc', 'desc'] | None = None,
    timeout: float | None = None,
) -> AuditAuthzListResponse
```

List authz decision audit events. `GET /v1/audit/authz`

Cursor-paginated read of `authz-decision` audit events for the tenant. Filters (all AND-composed): `?actorSubject=` / `?onBehalfOf=` / `?action=` / `?resource=` / `?outcome=` / `?runId=` / `?from=` / `?to=`. Oldest first; `?order=desc` for newest first. Admin\@tenant only. Only mounted when `CreateAppInput.auditEvents` is wired.
